from db.repository import Repository
from db.entities import Layer

from flask import request, Response
from typing import List, Dict

repo = Repository()

#region nodes

def nodes_for_use_case_and_layer(layer_name: str, use_case: str) -> List[Dict]:
    res = repo.get_layer_nodes_with_use_case(layer_name, use_case)
    if res is not None and len(res) > 0:
        return res
    else:
        return Response(status=404)