from typing import Dict

class Table:
    def __init__(self, name):
        self.name = name
    
    def to_serializable_dict(self) -> Dict:
        return {"name": self.name}
    
    @staticmethod
    def from_serializable_dict(data: Dict):
        return Table(data["name"])